Description

Ms Patricia Amorim gets error when she tries to make any changes. We tested together and I confirm the error.

We checked the authorizations, and seem they are the same of Ms Susana Segurado, who in turn is able to commit changes.

Would it be possible to have your kind assistance? Can you tell us what role(s) and group(s) are needed to edit a GRSF record

(approve/archive/merge/connect/flag)?

Please find attached the screenshot with the error.

The record used was: http://data.d4science.org/ctlg/GRSF_Admin/00a1f849-1b43-3fd1-9255-1d1134c969bb

@patricia.amorim@sustainablefish.org

@marketak@ics.forth.gr 

History

#1 - Feb 11, 2021 10:18 PM - Luca Frosini

@aureliano.gentile@fao.org the error message says:

"... There was a problem while performing this operation at knowledge base side"

@marketak@ics.forth.gr can you please check if there were issues on knowledge base?

#2 - Feb 12, 2021 08:42 AM - Yannis Marketakis

- File Result.JPG added

- File short_name.JPG added

I couldn't find any issues related to this record in the logs.

Moreover, I tried to update it myself; I changed the stock type to marine resource and appended the short name. It updated the record without any

issues. See the attached screenshots.

 

 

#3 - Feb 12, 2021 12:53 PM - Francesco Mangiacrapa
- File grsf_error.log added

- File grsf_manage_response_parser.png added

- Status changed from New to In Progress

- % Done changed from 0 to 20

Hi @marketak@ics.forth.gr,

many thanks for your response.

From the GRSF-Manage Panel side, I checked the logs and the code. The problem traced into logs is a jsonObject null received in the response from

the KB. As you can see in the json the "administrator_name" is "Patrícia Amorim".

I've attached the logs (see grsf_error.log) which are consistent with the code (see grsf_manage_response_parser.png)

#4 - Feb 16, 2021 01:01 PM - Yannis Marketakis

- % Done changed from 20 to 80

I tried to re-produce the issue and noticed that this occurs when the status of a record changes from approved and pending and then back to

approved.

This happens because the record is not removed from the GRSF Public VRE when the status is changed from approved to pending. 

The issue is resolved now

#5 - Mar 04, 2021 04:10 PM - Patrícia Amorim

- Assignee changed from Francesco Mangiacrapa to Yannis Marketakis

Hello,

I've tried with another fishery and after cleaning my history browser and the same error is still occurring.

Thanks,

Patrícia

#6 - Mar 05, 2021 02:20 PM - Yannis Marketakis

@patricia.amorim@sustainablefish.org can you please let me know which fishery is the one you tried and what updates you carried out? 

I didn't find anything in the logs. Moreover, I tried to update a GRSF fishery without facing any issue.

More specifically, I updated http://data.d4science.org/ctlg/GRSF_Admin/533792f1-d2da-3309-9000-bff5baa8dcc6, by chaning its status to "Other

Fishery" and updated the short name by adding the suffix - short

#7 - Mar 08, 2021 05:56 PM - Patrícia Amorim

Hi Yannis,

I've tried the Shortfin mako - North Pacific

GRSF Semantic identifier: asfis:SMA+fao:71

Record URL: http://data.d4science.org/ctlg/GRSF_Admin/01c356f1-768b-305a-af26-96f711f56f7f

But I also tried the record mentioned in note 2 above.

Thanks,

Patricia

#8 - Mar 16, 2021 12:31 PM - Aureliano Gentile

- Status changed from In Progress to Closed

We fixed the issue last week.
